Skip to main content
GET
/
automation-runs
/
{id}
/
step-runs
List step runs for a workflow run
curl --request GET \
  --url https://api.flipsidecrypto.xyz/public/v3/automation-runs/{id}/step-runs \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workflowRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workflowStepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "state": "pending",
    "input": {},
    "output": {},
    "error": {},
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "stateHistory": [
      {
        "state": "pending",
        "at": "2023-11-07T05:31:56Z"
      }
    ]
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Response

List of workflow step runs

id
string<uuid>
required
workflowRunId
string<uuid>
required
workflowStepId
string<uuid>
required
state
enum<string>
required
Available options:
pending,
running,
completed,
failed,
skipped,
cancelled
input
object
required
output
object
required
error
object
required
startedAt
string<date-time> | null
required
completedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
stateHistory
object[]
required